libgphoto2 (libgphoto2): CameraAbilities Struct Reference

Main Page | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# CameraAbilities Struct Reference

Describes the properties of a specific camera. More...

`#include <gphoto2-abilities-list.h>`

## Data Fields
char | model [128]
CameraDriverStatus | status
GPPortType | port
int | speed [64]
CameraOperation | operations
CameraFileOperation | file_operations
CameraFolderOperation | folder_operations
int | usb_vendor
int | usb_product
int | usb_class
int | usb_subclass
int | usb_protocol
char | library [1024]
char | id [1024]
int | reserved1
int | reserved2
int | reserved3
int | reserved4
int | reserved5
int | reserved6
int | reserved7
int | reserved8

## Detailed Description

Describes the properties of a specific camera.

The internals of this structures are used extensively by the camlibs, but the status regarding use by frontends is questionable.

## Field Documentation

CameraFileOperation CameraAbilities::file_operations

| camera file op funcs

CameraFolderOperation CameraAbilities::folder_operations

| camera folder op funcs

char CameraAbilities::model[128]

| name of camera model

CameraOperation CameraAbilities::operations

| camera operation funcs

GPPortType CameraAbilities::port

| Supported port.

int CameraAbilities::reserved1

| reserved space

int CameraAbilities::reserved2

| reserved space

int CameraAbilities::reserved3

| reserved space

int CameraAbilities::reserved4

| reserved space

int CameraAbilities::reserved5

| reserved space

int CameraAbilities::reserved6

| reserved space

int CameraAbilities::reserved7

| reserved space

int CameraAbilities::reserved8

| reserved space

int CameraAbilities::speed[64]

| Supported port speeds (terminated with a value of 0).

CameraDriverStatus CameraAbilities::status

| driver quality

int CameraAbilities::usb_class

| USB device class

int CameraAbilities::usb_product

| USB Product ID

int CameraAbilities::usb_protocol

| USB device protocol

int CameraAbilities::usb_subclass

| USB device subclass

int CameraAbilities::usb_vendor

| USB Vendor D

The documentation for this struct was generated from the following file:

- libgphoto2/gphoto2-abilities-list.h